<?php


namespace App\Http\Historico;


// Modelos
use App\Log;


// Controladores
use App\Http\Controllers\AnalizadorController;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\Controller;


// Historico
use App\Http\Historico\Historico;


class AnalizadorHistorico extends Historico {    

    public function store($accion, $obj){

        $this->SetInformacionLog($accion, $obj);
        
        switch($this->accion){
            case "store":
                $nom_area = AreaController::listItem($this->req->id_area)->nom_area;
                $nom_analizador = $this->req->nombre;
                $this->tableLog->titulo = "Registro";
                $this->tableLog->descripcion = "area: $nom_area, nombre: $nom_analizador";
                break;

            case "update":
                $nom_area = AnalizadorController::listItem($this->req->id)->nom_area;
                $nom_analizador = AnalizadorController::listItem($this->req->id)->nom_analizador;
                switch($this->req->campo){
                    case "nombre":
                        $new_nom_analizador = $this->req->nombre;
                        $this->tableLog->titulo = "Modificación de nombre";
                        $this->tableLog->descripcion = "Para el analizador $nom_area - $nom_analizador se actualiza a: $new_nom_analizador";
                    break;
                    case "area":
                        $new_nom_area = AreaController::listItem($this->req->id_area)->nom_area;
                        $this->tableLog->titulo = "Modificación de área";
                        $this->tableLog->descripcion = "Para el analizador $nom_area - $nom_analizador se actualiza a: $new_nom_area";
                    break;
                }
                break;

            case "destroy":
                $nom_area = AnalizadorController::listItem($this->req->id)->nom_area;
                $nom_analizador = AnalizadorController::listItem($this->req->id)->nom_analizador;
                $this->tableLog->titulo = "Eliminación";
                $this->tableLog->descripcion = "Analizador: $nom_area - $nom_analizador";
                break;

            case "status":
                $nom_area = AnalizadorController::listItem($this->req->id)->nom_area;
                $nom_analizador = AnalizadorController::listItem($this->req->id)->nom_analizador;
                $statusNow = AnalizadorController::listItem($this->req->id)->estado;
                if($statusNow == 1){
                    $this->tableLog->titulo = "Inactivación";
                    $this->tableLog->descripcion = "Analizador: $nom_area - $nom_analizador";
                } else {
                    $this->tableLog->titulo = "Reactivación";
                    $this->tableLog->descripcion = "Analizador: $nom_area - $nom_analizador";
                }
                break;
        }

        $this->tableLog->tabla = 'Analizador';
        $this->tableLog->save();
    }
}